#
# spec file for package cpio (Version 2.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         cpio
Copyright:    GPL
Group:        Applications/Archiving
Provides:     cpio
Autoreqprov:  on
Version:      2.4.2
Release:      446
Summary:      Backup and archiving utility
Source: cpio-2.4.2.tar.gz
Patch: cpio-2.4.2.dif

%description
This is GNU cpio, a program to manage archives of files. This package
also includes mt, a tape drive control program. Cpio copies files into
or out of a cpio or tar archive. An archive is a file that contains other
files plus information about them, such as their pathname, owner,
timestamps, and access permissions.
The archive can be another file on the disk, a magnetic tape, or a pipe.
This package normally also includes the program "rmt", which provides
remote tape drive control. Since there is a compatible 'rmt' in the
'dump' package we didn't put 'rmt' into this package. If you are planning
to use the remote tape features provided by cpio you have to install the
'dump' package as well.

Authors:
--------
    David J. MacKenzie <djm@gnu.ai.mit.edu>
    Jim Meyering <meyering@na-net.ornl.gov>

SuSE series: a

%prep
%setup
%patch

%build
CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" \
    ./configure --prefix=/usr --infodir=%{_infodir} \
		--mandir=%{_mandir} %{_target_cpu}-suse-linux
rm -f getopt.h
ln -s /usr/include/getopt.h getopt.h
make

%install
make install
mv /usr/bin/cpio /bin
ln -sf ../../bin/cpio /usr/bin/cpio

%files
/bin/cpio
/usr/bin/cpio
/usr/bin/mt
%doc %{_infodir}/cpio.info.gz
%doc %{_mandir}/man1/cpio.1.gz
%doc %{_mandir}/man1/mt.1.gz

%changelog -n cpio
* Thu May 31 2001 - fehr@suse.de
- make the -c swicth comatible to SVR4
* Sun Dec 03 2000 - schwab@suse.de
- Fix a few bugs and typos.
* Tue Nov 28 2000 - fehr@suse.de
- add compile options for LFS
* Mon Apr 17 2000 - fehr@suse.de
- move cpio binary to /bin for compatibility with RedHat
* Fri Feb 25 2000 - kukuk@suse.de
- remove Makefile.Linux
- use _infodir/_mandir
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 02 1999 - fehr@suse.de
- Fix patch for broken header (cast to short instead of int)
* Wed Aug 04 1999 - kukuk@suse.de
- Add patch for broken header in oldascii format
* Tue Sep 22 1998 - ro@suse.de
- define _GNU_SOURCE for glibc where including getopt
* Tue Sep 01 1998 - ro@suse.de
- fixed strdup-macro problem
* Thu Jun 05 1997 - florian@suse.de
- go through the list of regex in a more suitable way (from ma@suse.de)
* Sun Apr 13 1997 - florian@suse.de
- update to new version 2.4.2
- add Linux patches from RedHat
- add patches from gnu.utils.bugs
